Subject: Re: FVWM: upgraded to fvwm 2.4.15 - can no longer start an xterm

From: [email-masked]
Date: Fri, 3 Oct 2003 08:30:55 +0200

On Fri, Sep 26, 2003 at 05:36:52PM +0100, Toby Blake wrote:
> Hi there,
> 
> I'm running XDarwin 1.2.0 under MacOS X and have just used fink to
> upgrade the version of fvwm2 that I use.
> 
> The problem is that, after doing this upgrade, I can no longer launch
> an xterm within fvwm.  My .xinitrc is relatively simple, at the end I
> have:
> 
> xterm -sb -sl 500 --geometry 75x34+687+40 &
> exec ssh-agent fvwm2
> 
> The xterm mentioned here launches fine, but if I try and launch an
> xterm from within fvwm2 the window appears, but is completely blank -
> hitting enter causes the window to disappear.

This sometimes happens in 2.4.x when a window dies at a very
unfortunate time.  Fvwm misses that event and leaves the blank
decorations on the desktop.  But the real problem is why the
window dies.  The fvwm frame proves that the window is opened, but
then closed immediately.  That usually happens when the xterm can
not find or run the program it is meant to serve.  Check your PATH
inside fvwm and the ssh setup.

>  This happens using the
> default .fvwm2rc or my own, which defines the command to launch the
> xterm as follows:
> 
> +	 "xterm" Exec /usr/X11R6/bin/xterm -sb -sl 500

Have you tried simply "+ xterm exec xterm" ?

> Note that curiously I can open emacs, start a shell and launch an
> xterm from within here, all with no problems.
> 
> Can anyone suggest what is happening here?

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].